Skip to main content
GET
/
v1
/
companies
/
{company-id}
/
jobs
/
{job-id}
/
signatures
Retrieve all Signatures for a Job
curl --request GET \
  --url https://api.tread-horizon.com/v1/companies/{company-id}/jobs/{job-id}/signatures \
  --header 'Authorization: Bearer <token>'
{
  "data": [
    {
      "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "lat": "<string>",
      "lon": "<string>",
      "image_url": "<string>",
      "image_mime_type": "<string>",
      "image_name": "<string>",
      "type": "DriverSignature",
      "signable_type": "<string>",
      "signable_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
    }
  ]
}

Documentation Index

Fetch the complete documentation index at: https://docs.tread.ai/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Headers

Accept-Language
string
default:en

The Accept-Language request HTTP header indicates the natural language and locale that the client prefers.

Example:

"en"

Path Parameters

job-id
string<uuid>
required

Job ID

company-id
string<uuid>
required

Company ID

Query Parameters

page[limit]
integer<int32>
default:25

The maximum number of paginated results to return

Required range: x <= 100
page[after]
string

The cursor to start paginating after

page[before]
string

The cursor to stop paginating at

Response

OK

data
(DriverSignature-Read · object | DropoffSignature-Read · object)[]
required